nodes:
{% for node in groups.all %}
{% if node in groups['k8s-cluster'] or node in groups.etcd %}
- address: {% if hostvars[node].public_ip is defined %}{{ hostvars[node].public_ip }}{% else %}{{ hostvars[node].ansible_host }}{% endif %}

  port: "22"
  internal_address: {% if hostvars[node].private_ip is defined %}{{ hostvars[node].private_ip }}{% else %}{{ hostvars[node].ansible_host }}{% endif %}

  role:
{% if node in groups['kube-master'] %}
  - controlplane
{% endif %}
{% if node in groups['etcd'] %}
  - etcd
{% endif %}
{% if node in groups['kube-node'] %}
  - worker
{% endif %}
  hostname_override: {{ node }}
  user: {{ hostvars[node].ansible_user }}
  docker_socket: /var/run/docker.sock
  ssh_key_path: ~/.ssh/id_rsa
{% endif %}
{% endfor %}
services:
  kube-api:
    service_cluster_ip_range: {{ kube_service_addresses }}
{% if enable_sctp %}
    extra_args:
      feature-gates: "SCTPSupport=true"
{% endif %}
  kube-controller:
    cluster_cidr: {{ kube_pods_subnet }}
    service_cluster_ip_range: {{ kube_service_addresses }}
  kubelet:
    cluster_dns_server: {{ (kube_service_addresses | ipaddr('net') | next_nth_usable(10)).split('/')[0] }}
network:
  plugin: {{ kube_network_plugin }}
authentication:
  strategy: x509
  sans:
{% for server in groups['kube-master'] %}
{% if hostvars[server].public_ip is defined %}
    - {{ hostvars[server].public_ip }}
{% else %}
    - {{ hostvars[server].ansible_host }}
{% endif %}
{% endfor %}
{% if xci is defined and xci.extra_addresses is defined and xci.extra_addresses.vim is defined %}
{% if xci.extra_addresses.vim.vip_internal is defined %}
    - {{ xci.extra_addresses.vim.vip_internal }}
{% endif %}
{% if xci.extra_addresses.vim.vip_external is defined %}
    - {{ xci.extra_addresses.vim.vip_external }}
{% endif %}
{% endif %}
kubernetes_version: {{ kubernetes_release }}
ssh_key_path: ~/.ssh/id_rsa
authorization:
  mode: rbac
ingress:
  provider: {{ lookup('env', 'ingress_provider') |default('nginx', true) }}
{% if lookup('env','OS_AUTH_URL') %}
{% if os_infra.openstack.lbaas or os_infra.openstack.octavia or os_infra.openstack.cinder %}
cloud_provider:
  name: openstack
  openstackCloudProvider:
    global:
      username: {{ lookup('env','OS_USERNAME') }}
      password: {{ lookup('env','OS_PASSWORD') }}
      auth-url: {{ lookup('env','OS_AUTH_URL') }}
      tenant-id: {{ lookup('env','OS_TENANT_ID') }}
      domain-name: {{ lookup('env','OS_USER_DOMAIN_NAME') }}
      region: {{ lookup('env','OS_REGION_NAME') }}
      tenant-name: {{ lookup('env','OS_PROJECT_NAME') }}

{% if os_infra.openstack.lbaas or os_infra.openstack.octavia %}
    load_balancer:
{% if os_infra.openstack.octavia %}
      use-octavia: true
{% endif %}
      subnet_id: {{ project.subnets.0.id }}
      floating-network-id: {{ project.public_network_id }}
{% endif %}
{% if os_infra.openstack.cinder %}
    block_storage:
      ignore-volume-az: true
{% endif %}
{% endif %}
{% endif %}